<?php

/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include "../../include/cctvai.conn.php";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="style.css" rel="stylesheet" />
</head>
<body>
<div class="box musicBus mt bgWrite">
<div style="color: #808080; margin: 20px 10px; font-size: 12px;">
<?php
error_reporting(0);
$rServer=$_GET["rServer"];
if($rServer=="") {
	exit('抱歉！缺少服务器序号！');
}
?>
 <form  action="" method="post">
页面地址：
<input type="text" name="url" value="" style="width: 70%;" class="input1">
<input type="submit" value="确定" name="submitMe" class="btn btn-danger">
</form>
</div>
</div>
<div class="box musicBus mt bgWrite">
<div style="color: #808080; margin: 10px 15px; font-size: 12px;line-height:25px;">
<?php
error_reporting(0);
include "conf.inc.php";
$url=$_POST["url"];
if(isset($_POST['submitMe'])) {
	if($$url==strpos(strtolower($url), 'y.qq.com')) {
		echo '<font color="red">抱歉，您提交的不是正确的地址，请重新提交！</font>';
	} else {
		$urid=explode("mid=", $url); //分割
		$urid=explode("&", $urid[1]);//分割 $urid[0]
        if(yijianmusicremote == "1") {
            $str =@file_get_contents ("http://s.plcloud.music.qq.com/fcgi-bin/fcg_yqq_song_detail_info.fcg?songmid=".$urid[0].""); //远程访问
        } else {
            $curl=curl_init(); //初始化cURL 对象
            curl_setopt($curl, CURLOPT_URL, "http://s.plcloud.music.qq.com/fcgi-bin/fcg_yqq_song_detail_info.fcg?songmid=".$urid[0].""); //目标
            curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1); //要求结果保存到字符串中
			curl_setopt($curl, CURLOPT_TIMEOUT,15);//超时秒数,避免长时间无响应
            $str=curl_exec($curl); //运行cURL，请求远程
            curl_close($curl); //关闭URL请求
        }
		$str=iconv("gbk","UTF-8//TRANSLIT",$str);
		preg_match('/songname: \'(.*)\',/iU', $str, $CD_Name); //获取标题
		preg_match('/singer:\'(.*)\',/iU', $str, $CD_Singer); //获取歌手
		preg_match("/http:\/\/y.qq.com\/i\/song.html\?songid=(.*)#webchat_redirect/", $str, $CD_Uid); //获取ID
		$str=str_replace("\r\n","",$str);
		$str=str_replace("	","",$str);
		preg_match('/<div class="content" id="lrc_content" style="display:none;">(.*)<\/div>/iU', $str, $CD_Lrc);
		$CD_Lrc[1] = str_replace('	','',$CD_Lrc[1]);
		$CD_Lrc[1] = str_replace('&#92;n','\n',$CD_Lrc[1]);
		$CD_Lrc[1] = str_replace('&#58;',':',$CD_Lrc[1]);
		$CD_Lrc[1] = str_replace('&#46;','.',$CD_Lrc[1]);
		$CD_Lrc[1] = str_replace('&#32;',' ',$CD_Lrc[1]);
		$CD_Lrc[1] = str_replace('&#45;','-',$CD_Lrc[1]);
		$CD_Lrc[1] = str_replace('暂无歌词.','',$CD_Lrc[1]);
		$CD_Lrc[1] = str_replace('[00:00:00]此歌曲为没有填词的纯音乐，请您欣赏','',$CD_Lrc[1]);
		//$CD_Uid[1]=$CD_Uid[1]+30000000;
		//调用字段
		$rdanceName=$CD_Name[1]; //曲名
		$rSingerID=$CD_Singer[1]; //歌手
		$rUrl="". $CD_Uid[1] . ".mp3"; //播放ID
		$rsiz='0'; //文件大小
		$rmd5='0'; //文件MD5
		$rfrom='qqmusic'; //数据来源
		$ruid=$urid[0]; //备用ID
		$Playtime='00:00'; //播放时长
		$Bitkbps='320'; //比特率
		$rLrc=$CD_Lrc[1]; //歌词
		//部分字段内容为空
		$rdanceName=str_replace('&nbsp;', ' ', $rdanceName);
		$rdanceName=str_replace('"', '', $rdanceName);
		$rdanceName=str_replace('\'', '', $rdanceName);
		$rdanceName=str_replace('<x5>', '', $rdanceName);

		//判断一步防止错误信息
		if($CD_Uid[1]==""){exit('抱歉，没有获取到相关信息!');}
		
		
		//插入数据
		echo "
<script type=\"text/javascript\">
window.parent.parent.document.form.rdanceName.value='$rdanceName';
window.parent.parent.document.form.rSingerID.value='$rSingerID';
window.parent.parent.document.form.rUrl.value='$rUrl';
window.parent.parent.document.form.rsiz.value='$rsiz';
window.parent.parent.document.form.rmd5.value='$rmd5';
window.parent.parent.document.form.rfrom.value='$rfrom';
window.parent.parent.document.form.ruid.value='$ruid';
window.parent.parent.document.form.Playtime.value='$Playtime';
window.parent.parent.document.form.Bitkbps.value='$Bitkbps';
window.parent.parent.document.form.rServer.value='$rServer';
window.parent.parent.document.form.rLrc.value='$rLrc';
window.close()
this.parent.$.tipMessage('恭喜，添加成功！', 0, 2000);
this.parent.layer.closeAll();
</script>
";
	}
} else {
	echo '<font color="red">正在使用:QQ音乐一键添加</font><br />
比如：http://y.qq.com/#type=song&mid=002mfms13qHIeh';
}
?>
<a href="index.php" style="float: right;">↑返回主菜单</a>
</div>
</div>
</body>
</html>